Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Mentore

Pages: 1 [2] 3 4 ... 6
16
As long as ArcaNoae Mantis is not yet back up, translations still go on. : )

Question is though, should the GNU Public License in Warpin (warpin.wis) be translated to other languages too? Even if the text does not say so, I've read elsewhere that translating contracts voids their existence, as you'd need a lawyer to check if the meaning has not changed by translating the text.
So.. if nobody has other thoughts or valid reasoning, I'll keep the english translation of the GNU Public License and just translate the rest around it..


Hello,
based on my experience and on what I've studied in the past, GPL is NOT to be translated. The costs to verify the closeness between the actual original GPL and the translated one would be unacceptable and a translated GPL is considered as not valid.
This is what the FSF / GNU say, by the way, so I didn't take my time to provide a translated version of the GPL in my works, be them for OS/2 or else.

Mentore

17
Programming / Re: Porting Lilypond to OS/2 - eCS - Arca Noae
« on: November 11, 2019, 08:04:43 am »
Given that LilyPond is more of an engraving program than a traditional notation program and thus not very user friendly would something like MuseScore not make more sense? Or does that have even more dependencies?

BTW. For those with not very advanced needs when it comes to notation, old versions of Personal Composer run fine under OS/2, 16 bit version under WinOS/2 and 32 bit versions PE'ised.

Hi Olafur, yes you're right - and I've already ported other engraving programs, so the need for this was more like "OK, I want to add another one to the list". And after NotaMusica has been discontinued I think we could do with a real notation software - but I'm afraid something like MuseScore is really out of our league due to its dependencies. This MAY change now that we are really close to a  complete Qt 5.13 release, but my mileage may vary.

I'd like to take a look at some opensource notation software but almost everyone is rather huge or uses libraries like JACK which may make it impossible to port. I'll take a look when I will fire up my OS/2 machine again.

Oh, just a last update: I saw that some GUI programs (mainly Denemo and Canorus) are UIs to LilyPond, so I'm starting to think the (two or three  ;D ;D ;D ) OS/2-powered musicians could take advantage from this. I'll see what I can do when my OS/2 boxes will be back.

Mentore

18
Programming / Re: Porting Lilypond to OS/2 - eCS - Arca Noae
« on: November 07, 2019, 08:55:22 am »
Given that LilyPond is more of an engraving program than a traditional notation program and thus not very user friendly would something like MuseScore not make more sense? Or does that have even more dependencies?

BTW. For those with not very advanced needs when it comes to notation, old versions of Personal Composer run fine under OS/2, 16 bit version under WinOS/2 and 32 bit versions PE'ised.

Hi Olafur, yes you're right - and I've already ported other engraving programs, so the need for this was more like "OK, I want to add another one to the list". And after NotaMusica has been discontinued I think we could do with a real notation software - but I'm afraid something like MuseScore is really out of our league due to its dependencies. This MAY change now that we are really close to a  complete Qt 5.13 release, but my mileage may vary.

I'd like to take a look at some opensource notation software but almost everyone is rather huge or uses libraries like JACK which may make it impossible to port. I'll take a look when I will fire up my OS/2 machine again.

19
Programming / Re: Porting Lilypond to OS/2 - eCS - Arca Noae
« on: November 06, 2019, 08:27:53 am »
It depends on fontforge, which is a GTK program IIRC, or at least depends on X, so not trivial to build though the dependency page does say some of the text modes can be built without X. Unluckily porting GTK would likely be akin to porting QT.

Thanks everybody.
So I was correct in thinking the first step is building the latest TeX distro - which is pretty funny: the CTAN seems to me a little cumbersome to browse for the sources. I will surely take a look at it.
Then it comes to FontForge which I have to watch closely, in order to see if it can be built without GTK.

Too many toolkits, too little time...

Mentore

20
Programming / Porting Lilypond to OS/2 - eCS - Arca Noae
« on: November 05, 2019, 11:05:05 am »
Hello all,
currently we OS/2 users can benefit from at least four or five music typesetting programs:
  • NotaMusica 2.6 (beta 2.7) - commercial, discontinued
  • Plain MusixTeX - pretty uncommon, powerful but TeX is required (and am I right in saying we really lack a current TeX?)
  • MUP MUsic Publisher (ported by me, not up to date with the current release) - easy to compile, requires text input
  • ABC Music composer (idem)
  • Philip's Music Writer (idem)
  • Lastly, we should have also some simple guitar fakebook software like Chordii or Chordpro (ported by me)

Now I'd really love if we could make one step beyond and start using some real beast like LilyPond. I actually am not able to fire up my old eCS box (pretty old indeed - at least 4 years without upgrading hardware), but I'd like to tackle this huge piece of art. I know it still needs text input just like ABC or Mup, but it seems to have more features, so...

Now for the serious part. Among the requirements I can see Guile 1.8.8 and some other things it needs:

    GNU Autoconf
    GNU Bison                       (Use version 2.0 or newer.)
    GNU Compiler Collection  (Use version 3.4 or newer (4.x recommended)).
    GNU gettext                    (0.17 or newer)
    GNU Make                       (Use version 3.78 or newer.)

These listed above we should already have. I'm not sure about the following ones (my thoughts on them in italic):

    Flex
    FontForge (recommended using at least 20100501); it must also be compiled with the ‘--enable-double’ switch, else this can lead to inaccurate intersection calculations which end up with poorly-rendered glyphs in the output.

    MetaFont
    The mf-nowin, mf, mfw or mfont binaries are usually packaged along with TeX.
    MetaPost
    The mpost binary is also usually packaged with TeX.
So, we should indeed have TeX updated!!!

    Perl
    Texinfo (Use version 4.11 or newer.)

    Type 1 utilities (Use version 1.33 or newer.)
    Cyrillic fonts (Often packaged in repositories as texlive-lang-cyrillic.)

    TeX Gyre ‘OTF’ font packages. As of LilyPond version 2.19.26, the previous default serif, san serif and monospace fonts now use Tex Gyre’s Schola, Heros and Cursor fonts respectively. Also See Fonts.

    The following font families are required:
    Schola, Heros and Cursor.

What are your thoughts about this? Do you think it's actually possible for us to have this beast under OS/2? (Yes I'd love to use it with my machine without having to boot a Linux / Win PC).

21
Utilities / Re: graphic interface for smartahci
« on: October 28, 2019, 08:32:20 am »
This may be a strange request but does anyone know of a graphic interface to smartahci like the one for smartmon for IDE drives?  Also is there a way of reducing the information produced by smartahci -a hd1 to just the important info and temp?

I feel like some Visual REXX could do the trick. Then I have to say I can't even start up my eCS machine right now, too bad...

22
Applications / Re: (Mainly text-based) movies
« on: July 08, 2019, 08:17:18 am »
What are weapons of choice to, in the end, quickly produce an animated GIF with mainly text-based frames? The format (size, grid, colors, font, lay-out, ...) has to be about the same, so you cannot start PBRUSH.EXE, aim, type text, save and convert.

YouTube videos with just audio and lyrics, and perhaps showing a static image while there are no lyrics, may be a well-known example. GLE? An utility which almost works like a text editor?

While in OS/2 I can think about Embellish and PGPro. Being these object-based (albeit a little cumbersome to use) these are IMHO the most useful ones.

Quote
I can create my own image files, with a text file as input and automatic processing to create the whole movie, but unfortunately using any font is more than a bit of a stretch.

Having to type is no problem, as long as you can edit and re-use text you've saved as the previous image. Edit as text, not as pixels.

In theory GLE seems to be a candidate for fully automated processing, including variable delays and non-text images which can be inserted later. In pseudo-code:

[blank] // blank initial frame, default delay
The Pope // First text frame (title), matching default delay
Is the Pope catholic? // Second text frame, variable delay based on the text
No, a Pope is the leader of the Coptic Orthodox Church of Alexandria. // Second text frame, variable delay based on the text
[ALEXPOPE.GIF] // insert image, default delay
Thank you for being bored! No fun intended. // Final text frame, variable delay based on the text
[end] // The end

But having to type, save, edit, save, edit, save, ... and compile a video manually is no big deal. It ain't books. A lyrics videos is a good example, albeit such a video is already quite long (and requires almost perfect delays).

If you don't mind doing some scripting (maybe also REXX and similar) you can try and use ffmpeg and maybe better mencoder with subtitles. Even if they are called "subtitles" they can be put in almost any position and use any font you like: you can synchronize them with the audio you're using.

I used ffmpeg to make some videos in the past (going to use it again soon) and this is one of my best works: it's the title page for a DVD I made of the movie "Final Fantasy" (I had the original in VHS and copied it to DVD. Needed a title and menu, so I worked a bit).

https://www.youtube.com/watch?v=jUNhw5HVe8c

Mentore

23
Applications / Re: PmDraw's (CAD) fatal fonts warning
« on: July 01, 2019, 09:25:50 am »
Thanks, all. So the (fatal) warning message may actually have something to do with ((missing) installed) fonts, and failing can be avoided by using the -D parameter. As stated earlier, I gave it a try with a fresh OS/2 Warp 4 NL and eCS 1.2, with and without removed fonts.

AFAICT PmDraw should support several INI files (Options, Personalize...), which can be selected via the -I parameter. Multi-user'ish, or perhaps a different INI file per CAD project.

It looks like the -I parameter also doesn't fully support long names (containing spaces, in the case of no support).

And yes, PMDRAW.REA contains the What's New(s)-items of a few releases indeed.

I'd really love if we could gather the sources for the EWS. PMDraw /2 is IMHO a nice piece of software, nowadays crippled by its limitations (8.3 naming convention and some missing features).
I still have at home my DevCon CDs, with a (seemingly) final release of PMDraw/2. Never understood if this can be put on Hobbes, though it seems you already have it.

Mentore

24
Hardware / Re: Mouse weirdness
« on: December 05, 2017, 10:00:31 am »
Hi

Are all usb drivers that are required installed?

You can use usbcfg to view and change usb settings - usbcfg is available as zip or wpi package http://hobbes.nmsu.edu/h-search.php?key=usbcfg082&pushbutton=Search


Regards

Pete

Hi Pete,

no problems in USB stack - everything is installed fine. As I just wrote to Lars, I'll surely try and update the drivers and modify something in CONFIG.SYS to use the right stack.
Then I'll go to eBay and buy new PS/2 keyboard and mouse, since there are still many  8)

Mentore

25
Hardware / Re: Mouse weirdness
« on: December 05, 2017, 09:55:32 am »
As to USB mouse: have you tried an updated USB driver stack ? I consider the eCS 2.1 supplied USB drivers to be hopelessly outdated. Either use the driver stack from AN or try mine (on Hobbes).

For PS/2 mouse and keyboard: the usual advice applies, always plug in PS/2 mouse or keyboard before you power on the PC. Everything else can damage the electronics (I cannot remember if it would work at all if connected to an already powered system).

Well this worries me a little (or a lot). I don't use the eCS supplied stack but one of your latest one, which by the way I found to be really useful. (thanks for that.)

I remember that USBD.SYS will issue a beep on an overcurrent situation (if a device draws too much current).
Bad, bad bad.
On the other hand: if you have a UHCI controller (which I strongly assume you do) then the problem is that the "overcurrent bit" was not properly defined between the Intel UHCI and the VIA UHCI controller. VIA has defined it logically negated to Intel. But then I remember (in the USBUHCD.SYS driver) I am flipping the bit on VIA to match that on Intel (same holds true for the AN stack) ...

IIRC (I built that beast loooooong ago) it has indeed an UHCI controller, and the beep is issued everytime I connect something to the USB ports. I was indeed assuming this was a "reassuring" signal, not a warning. Stupid me.

I assume you can also neither see nor use your USB pendrive, correct ?

This is a good "no": I indeed can see almost any of my USB gadgets, including a multicard reader. Actually I should try that again, but I surely remember I copied some files from a 16 GB pendrive to my machine using Larsen Commander and selecting the files via keyboard. No problems at all IIRC.

Finally: AMouse (at least older versions) comes with their own USBMOUSE.SYS driver. Don't use it. Make sure you use the one in the AN stack (or my stack). These will be located in the \OS2\BOOT directory.

This is something I shall try.
What I really can't possibly understand is why the mouse stopped working without having changed anything.
The next things I'll do will be surely taken from your list: updating USB stack and using your stack instead of USBMOUSE from AMouse. And keep fingers crossed.

Thanks a lot in the meantime.

Mentore

26
Hardware / Mouse weirdness
« on: December 04, 2017, 10:03:24 am »
Hello all, long time no see :-) I've been lurking a lot but without having too much to add. Recently, though, I came across a strange problem.

I've a rather old machine built by myself. Nothing too fancy, it's just an old Intel dual core with 2 GiB RAM, working only with eCS 2.1 GA. When I say "rather old" I mean "It has a PS/2 keyboard port and mouse port".

I used to work on it with an USB mouse connected to the PS/2 port via an adaptor and it worked fairly well (it's still smoother than my last laptop with an i5 CPU and Windows 10, mind you).

In the last few days, though, strange things have happened:

1 - my old mouse stopped working its left button, so I tried to use an USB mouse. It worked the first time and then no more.

2 - I tried another old PS/2 mouse (but this could be not working) and no success.

3 - I bought a new (wired, not wireless) USB mouse and tried to connect it to all the USB ports, other than the PS/2 port with its adaptor, and nothing - no mouse movements.

4 - everytime I connect the mouse to the USB port, eCS beeps (it's the same beep that occurs when I connect an USB pendrive or other MSD).

5 - Amouse is installed and Amouse USB driver too. Amouse control panel seems to detect the mouse, but the pointer does not move and pushing any of the mouse buttons doesn't do anything.

Now I want to take some time to try and see if the eCS installer actually sees the mouse. The same I'll do with some other OS installer (say, some linux).

Maybe this is the right time to think about migrating to ArcaOS...

Some ideas, anyone?
Mentore

27
Programming / Re: Compiling PM app on 2016.
« on: July 26, 2016, 12:46:42 pm »
Martin

If you are serious about helping to maintain or port software I think you need to install Open Watcom for maintaining OS/2 software and need  GCC for porting. Open Watcom has been forked. There is a 2.0 version of the fork that has an OS/2 version but that version doesn't contain the latest OX/2 code. The unforked version is still at 1.9 which lacks Steve Levine's debug and high memory updates and lacks wipfc. I would recommend you install the unforked 1.9 and highly recommend if you or anyone else is interested I have a build of the latest code which I can provide as a zip file you can unzip over the i1.9 install.

Hello Gregg,
I'm interested in your updated 1.9 version. How can I obtain it?

If you need to email me just contact me at mentore dot siesto at alice dot it.

Thanks in advance!
Mentore

28
Applications / [ANPM] No repository, no packages
« on: June 21, 2016, 11:09:51 pm »
Hello everybody.
I'm trying to learn to use Arca Noae Package Manager. After installing and rebooting, I opened it up and into the "Repository" window found nothing listed.

Yet, if I try to add a repository from the list provided in the Arca Noae site, the program tell me the repository has already been added. Still there's no packages I can view.

Since I installed (long ago) a somehow broken RPM/YUM and then tried to deinstall it, I wonder if maybe something undeleted could be messing up things.

Ideas, anyone?
TIA
Mentore

29
Programming / Re: Linking problems in compiling a MAME spinoff
« on: April 25, 2016, 11:51:28 am »
For dart.c try.
Code: [Select]
#define INCL_BASE
#define INCL_PM
#include <os2.h>
#include <mmioos2.h>
#include <mcios2.h>

And in your build environment (I have it in config.site)
export 'CPPFLAGS=-idirafter g:/OS2TK45/h'
Adjusting the path to your toolkit as needed

Tried the suggested modifications, I had to edit xtramm.h file to take into account the additions.
Didn't add the CPPFLAGS directive - didn't find a config.site. But still this should have to do only with compiling... Recompiled all with GCC 4.92, still the same linker problems.

This needs a little more investigation, I think.

If I solve this, I'll do a little tests and then it will be time for MAME 0.53 and on until MAME 0.59 - which is the latest before the big emulator source change.

Mentore

Mentore

30
Programming / Re: Linking problems in compiling a MAME spinoff
« on: April 24, 2016, 07:32:18 pm »
Can you also post src\rules.mak and src\os2\os2.mak (not totally sure of the name of the last) and also the defines right before #include <os2.h> and there should also be a #include <mcios2.h> or similar, post the defines right before them as well.
BTW, the -Zmt is harmless and does nothing on kLIBC and you shouldn't need -Zexe when using -Zomf or targeting a executable with a .exe suffix

Weird, I was sure I already attached os2.mak. Oh well, doing this right now together with the other files.
By the way I must admit my memory works bad sometimes. It should have been -Zomf and not -Zexe.

Files attached. Here follows the lines you asked for:
These are defined into os2.c:
#define INCL_DOSPROCESS
#define INCL_DOSSEMAPHORES
#define INCL_DOSDEVICES
#define INCL_DOSDEVIOCTL
#define INCL_WININPUT
#define INCL_DOSMISC



First lines of dart.h:
#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include <stdlib.h>
#include <process.h>
#define INCL_DOS
#define INCL_DOSERRORS
#include <os2.h>


From dart.c / dart.h seems that every reference from mcios2.h is missing... I'll try again later.
Thanks!

Pages: 1 [2] 3 4 ... 6